// Generated by gencpp from file pick_and_delivery/Taken.msg
// DO NOT EDIT!


#ifndef PICK_AND_DELIVERY_MESSAGE_TAKEN_H
#define PICK_AND_DELIVERY_MESSAGE_TAKEN_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace pick_and_delivery
{
template <class ContainerAllocator>
struct Taken_
{
  typedef Taken_<ContainerAllocator> Type;

  Taken_()
    : name()
    , taken(false)  {
    }
  Taken_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , taken(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _name_type;
  _name_type name;

   typedef uint8_t _taken_type;
  _taken_type taken;





  typedef boost::shared_ptr< ::pick_and_delivery::Taken_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::pick_and_delivery::Taken_<ContainerAllocator> const> ConstPtr;

}; // struct Taken_

typedef ::pick_and_delivery::Taken_<std::allocator<void> > Taken;

typedef boost::shared_ptr< ::pick_and_delivery::Taken > TakenPtr;
typedef boost::shared_ptr< ::pick_and_delivery::Taken const> TakenConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::pick_and_delivery::Taken_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::pick_and_delivery::Taken_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::pick_and_delivery::Taken_<ContainerAllocator1> & lhs, const ::pick_and_delivery::Taken_<ContainerAllocator2> & rhs)
{
  return lhs.name == rhs.name &&
    lhs.taken == rhs.taken;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::pick_and_delivery::Taken_<ContainerAllocator1> & lhs, const ::pick_and_delivery::Taken_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace pick_and_delivery

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::Taken_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::Taken_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::Taken_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::Taken_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::Taken_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::Taken_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::pick_and_delivery::Taken_<ContainerAllocator> >
{
  static const char* value()
  {
    return "2c7320311e09f8bf62ab483e21f3592d";
  }

  static const char* value(const ::pick_and_delivery::Taken_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x2c7320311e09f8bfULL;
  static const uint64_t static_value2 = 0x62ab483e21f3592dULL;
};

template<class ContainerAllocator>
struct DataType< ::pick_and_delivery::Taken_<ContainerAllocator> >
{
  static const char* value()
  {
    return "pick_and_delivery/Taken";
  }

  static const char* value(const ::pick_and_delivery::Taken_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::pick_and_delivery::Taken_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string name\n"
"bool taken\n"
;
  }

  static const char* value(const ::pick_and_delivery::Taken_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::pick_and_delivery::Taken_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.taken);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Taken_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::pick_and_delivery::Taken_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::pick_and_delivery::Taken_<ContainerAllocator>& v)
  {
    s << indent << "name: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name);
    s << indent << "taken: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.taken);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PICK_AND_DELIVERY_MESSAGE_TAKEN_H
